#SVG Path DSL - An Elm DSL for SVG Path elements

A nicer way to create svg paths. 

Svg paths are easy to read for computers, but not for humans. This package provides a nicer 
way to create paths, providing safety (no runtime exceptions!) and less room for typos.


#What's next

This is a very basic library. See it as a basic building block to build more 
complex libraries with. 

Here are some ideas:

* A parser for paths.
* Optimizing paths (for example joining multiple lineTo's into one lineToMany)
* Higher-level functionality - composing paths 
* type-safe svg 
* graphics libraries, inspired by Haskell's [diagrams](http://projects.haskell.org/diagrams/) or OCaml's [Vg](http://erratique.ch/software/vg/doc/Vg.html) or 
the ideas discussed in [funcional image synthesis](http://conal.net/papers/bridges2001/bridges-medres.pdf).
* visualization libraries (like D3)

Please contact me if you want to work or collaborate on these!


